API ReferenceGenerated Reference
Create an owner wallet binding challenge
Requires an owner access token. The signed message includes purpose xenodia.owner.wallet.bind.v1, the authenticated owner account ID, wallet, nonce and expiry. This challenge is single use and cannot be used for Agent sign-in.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.xenodia.xyz/v1/me/wallet/challenge" \ -H "Content-Type: application/json" \ -d '{ "wallet_address": "string" }'{
"challenge_id": "string",
"message": "string",
"wallet_address": "string",
"expires_at": 0
}{
"error": "bad_request",
"message": "string",
"type": "string",
"code": "string"
}{
"error": "bad_request",
"message": "string",
"type": "string",
"code": "string"
}{
"error": "bad_request",
"message": "string",
"type": "string",
"code": "string"
}{
"error": "string",
"message": "string",
"request_id": "string"
}